Package org.jbpm.workflow.core.node

## Class Trigger

- java.lang.Object
- - org.jbpm.workflow.core.node.Trigger

- All Implemented Interfaces:
    `Serializable`, `Mappable`
  Direct Known Subclasses:
    `ConstraintTrigger`, `EventTrigger`

      public class Trigger
      extends Object
      implements Mappable, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Trigger()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInAssociation​(DataAssociation dataAssociation)` |
    `void` | `addInMapping​(String subVariableName, String variableName)` |
    `void` | `addOutAssociation​(DataAssociation dataAssociation)` |
    `void` | `addOutMapping​(String subVariableName, String variableName)` |
    `List<DataAssociation>` | `getInAssociations()` |
    `String` | `getInMapping​(String parameterName)` |
    `Map<String,​String>` | `getInMappings()` |
    `List<DataAssociation>` | `getOutAssociations()` |
    `String` | `getOutMapping​(String parameterName)` |
    `Map<String,​String>` | `getOutMappings()` |
    `void` | `setInMappings​(Map<String,​String> inMapping)` |
    `void` | `setOutMappings​(Map<String,​String> outMapping)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Trigger

          public Trigger()

  - ### Method Detail

    - #### addInMapping

          public void addInMapping​(String subVariableName,
                                   String variableName)

      Specified by:
        `addInMapping` in interface `Mappable`

    - #### setInMappings

          public void setInMappings​(Map<String,​String> inMapping)

      Specified by:
        `setInMappings` in interface `Mappable`

    - #### getInMapping

          public String getInMapping​(String parameterName)

      Specified by:
        `getInMapping` in interface `Mappable`

    - #### getInMappings

          public Map<String,​String> getInMappings()

      Specified by:
        `getInMappings` in interface `Mappable`

    - #### addInAssociation

          public void addInAssociation​(DataAssociation dataAssociation)

      Specified by:
        `addInAssociation` in interface `Mappable`

    - #### getInAssociations

          public List<DataAssociation> getInAssociations()

      Specified by:
        `getInAssociations` in interface `Mappable`

    - #### addOutMapping

          public void addOutMapping​(String subVariableName,
                                    String variableName)

      Specified by:
        `addOutMapping` in interface `Mappable`

    - #### setOutMappings

          public void setOutMappings​(Map<String,​String> outMapping)

      Specified by:
        `setOutMappings` in interface `Mappable`

    - #### getOutMapping

          public String getOutMapping​(String parameterName)

      Specified by:
        `getOutMapping` in interface `Mappable`

    - #### getOutMappings

          public Map<String,​String> getOutMappings()

      Specified by:
        `getOutMappings` in interface `Mappable`

    - #### addOutAssociation

          public void addOutAssociation​(DataAssociation dataAssociation)

      Specified by:
        `addOutAssociation` in interface `Mappable`

    - #### getOutAssociations

          public List<DataAssociation> getOutAssociations()

      Specified by:
        `getOutAssociations` in interface `Mappable`